Iris API Account Information
The Account Information API provides a quick and easy way to get a snapshot of API product usage for an account. Usage is broken down by day and by month.
API endpoint
Section titled “API endpoint”https://api.domaintools.com/v1/account/Request parameters
Section titled “Request parameters”Optional parameters
Section titled “Optional parameters”| Parameter | Type | Description |
|---|---|---|
| app_name | string | Appliance, module, or playbook, or any combination of these. |
| app_partner | string | Your product name. |
| app_version | string | Version of your integration/connector. |
| format | string | Specifies the desired response format. This accepts the values HTML, JSON, and XML. |
Example request
Section titled “Example request”curl -X GET \ 'https://api.domaintools.com/v1/account/?app_name=curl&app_partner=YOUR_COMPANY&app_version=1&format=XML' \ -H "X-Api-Key: $DOMAINTOOLS_API_KEY"Response format
Section titled “Response format”Responses return information on the status of the API account, the products available, the usage per product, and limits for each.
Example response
Section titled “Example response”{ "response": { "account": { "api_username": "domaintools-api-account", "active": true }, "products": [ { "id": "domain-profile", "per_month_limit": "50000", "per_hour_limit": null, "per_minute_limit": "120", "absolute_limit": null, "usage": { "today": "0", "month": "2" }, "expiration_date": "2027-12-30" } ] }}